> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update notification

> Update Event notification by id



## OpenAPI

````yaml /api-reference/calendars/openapi.json put /calendars/{calendarId}/notifications/{notificationId}
openapi: 3.0.0
info:
  title: Calendars API
  description: Documentation for Calendars API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Calendars
    description: Documentation for Calendars API
  - name: Calendar Groups
    description: Documentation for Calendars API
  - name: Calendar Events
    description: Documentation for Calendars API
  - name: Appointment Notes
    description: Documentation for Calendars API
  - name: Calendar Resources - Rooms and Equipment
    description: Documentation for Calendars API
  - name: Calendar Notifications
    description: Documentation for Calendars API
  - name: Availability
    description: Documentation for Calendars API
paths:
  /calendars/{calendarId}/notifications/{notificationId}:
    put:
      tags:
        - Calendar Notifications
      summary: Update notification
      description: Update Event notification by id
      operationId: update-event-notification
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: calendarId
          required: true
          in: path
          schema:
            type: string
        - name: notificationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCalendarNotificationsDTO'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CalendarNotificationDeleteResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - calendars/events.write
components:
  schemas:
    UpdateCalendarNotificationsDTO:
      type: object
      properties:
        receiverType:
          type: string
          description: Notification recipient type
          enum:
            - contact
            - guest
            - assignedUser
            - emails
            - phoneNumbers
            - business
        additionalEmailIds:
          description: Additional email addresses to receive notifications.
          example:
            - example1@email.com
            - example2@email.com
          type: array
          items:
            type: string
        additionalPhoneNumbers:
          description: Additional phone numbers to receive notifications.
          example:
            - '+919876744444'
            - '+919876744445'
          type: array
          items:
            type: string
        selectedUsers:
          description: >-
            Selected users for in-App and business email notifications. Supports
            user IDs and special keyword "sub_account_admin"
          example:
            - userId1
            - userId2
            - sub_account_admin
          type: array
          items:
            type: string
        channel:
          type: string
          description: Notification channel
          enum:
            - email
            - inApp
            - sms
            - whatsapp
        notificationType:
          type: string
          description: Notification type
          enum:
            - booked
            - confirmation
            - cancellation
            - reminder
            - followup
            - reschedule
        isActive:
          type: boolean
          description: Is the notification active
          default: true
        deleted:
          type: boolean
          description: Marks the notification as deleted (soft delete)
          default: false
        templateId:
          type: string
          description: Template ID for email notification
        body:
          type: string
          description: Body  for email notification. Not necessary for in-App notification
        subject:
          type: string
          description: >-
            Subject  for email notification. Not necessary for in-App
            notification
        afterTime:
          description: >-
            Specifies the time after which the follow-up notification should be
            sent. This is not required for other notification types.
          example:
            - timeOffset: 1
              unit: hours
          type: array
          items:
            $ref: '#/components/schemas/SchedulesDTO'
        beforeTime:
          description: >-
            Specifies the time before which the reminder notification should be
            sent. This is not required for other notification types.
          example:
            - timeOffset: 1
              unit: hours
          type: array
          items:
            $ref: '#/components/schemas/SchedulesDTO'
        fromAddress:
          type: string
          description: From address for email notification
        fromNumber:
          type: string
          description: from number for sms notification
        fromName:
          type: string
          description: From name for email/sms notification
    CalendarNotificationDeleteResponseDTO:
      type: object
      properties:
        message:
          type: string
          description: Result of delete/update operation
      required:
        - message
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    SchedulesDTO:
      type: object
      properties:
        timeOffset:
          type: number
        unit:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````